 # Go parameters

GOCMD = go

GORUN=$(GOCMD) run

GOBUILD=$(GOCMD) build

GOCLEAN=$(GOCMD) clean

GOTEST=$(GOCMD) test

GOGET=$(GOCMD) get

NAME = a.out

all: $(NAME)

$(NAME):
	$(GOBUILD) -v -o $(NAME)
re: clean $(NAME)

run:
	$(GORUN) .

clean:
	rm -f $(NAME)
